package cz.jzitnik.game.entities.items.registry.mobs;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.EntityRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.mobs.services.cow.CowData;

@EntityRegistry("cow")
public class Cow extends Block {
    public Cow() {
        super("cow", SpriteLoader.SPRITES.COW);
        setMob(true);
        setGhost(true);
        setSpriteState(cz.jzitnik.game.sprites.Cow.CowState.RIGHT);
        setMineable(false);
        setData(new CowData());
        setHp(10);
    }
}
